Name:    usbutils
Version: 014
Release: 2
Summary: Linux utilities for USB device
License: GPLv2+
URL:     http://www.linux-usb.org/

Source0: https://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz
Source1: GPL-2.0.txt
Source2: GPL-3.0.txt

Patch1:  0001-Fix-an-runtime-error-reported-by-undefind-sanitizer.patch

BuildRequires: libusbx-devel systemd-devel gcc autoconf automake libtool
Requires: hwdata

%description
This is a collection of USB tools running on a USB host.

%package        help
Summary:        Including man files for usbutils
Requires:       man

%description    help
This contains man files for the using of usbutils.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif
%configure --sbindir=%{_sbindir} --datadir=%{_datadir}/hwdata --disable-usbids
%make_build

%install
%make_install INSTALL="install -p"
install -D -m 644 %{SOURCE1} %{buildroot}%{_defaultlicensedir}/%{name}/GPL-2.0.txt
install -D -m 644 %{SOURCE2} %{buildroot}%{_defaultlicensedir}/%{name}/GPL-3.0.txt

%files
%doc NEWS
%license GPL-2.0.txt GPL-3.0.txt
%{_bindir}/*

%files help
%{_mandir}/*/*

%changelog
* Tue Nov 1 2022 lihaoxiang <lihaoxiang9@huawei.com> - 014-2
- fix an runtime error reported by undefined sanitizer

* Tue Nov 23 2021 yanglongkang <yanglongkang@hiuawei.com> - 014-1
- update package to 014

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 012-3
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Thu Oct 29 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> -012-2
- backport one patch to init string buffer before reading from it

* Thu Jul 16 2020 liubo <liubo254@huawei.com> -012-1
- upgrade package to 012

* Wed Aug 21 2019 zhanghaibo <ted.zhang@huawei.com> - 010-4
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESCi:openEuler Debranding

* Wed Aug 21 2019 Su Weifeng <suweifeng1@huawei.com> - 010-3
- Type:other
- ID:NA
- SUG:NA
- DESC:rename patches
- Package init
